
QGIS Application - Feature request #3979

Allow set DPI in "save as image"

2011-06-12 12:41 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13975

Description

Please provide a simple, high resolution image export. Our only choices appear to be the File > Save as Image, which has no options,

or the Print Composer, which takes several steps and is really designed for creating a hardcopy print.

It would be nice to just have a way to do something like File > Save as Image, but be able to choose a bounding rectangle for the export

and specify certain export properties, like resolution or DPI, image format, etc.

History

#1 - 2011-06-12 01:04 PM - Aren Cambre

This is the only way I know to do it now: http://underdark.wordpress.com/2010/11/30/creating-high-resolution-images-using-qgis/

This way seems to produce mediocre quality images.

#2 - 2011-12-09 08:24 AM - Paolo Cavallini

- Category set to 33

- Pull Request or Patch supplied set to No

#3 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-09-30 01:03 PM - Aren Cambre

- Priority changed from Normal to High

I'm going to be bold and say that this is more than normal priority. It's really important that a graphical information system be capable of producing good

quality graphics.

#6 - 2012-09-30 11:59 PM - Paolo Cavallini

- Priority changed from High to Normal

From https://issues.qgis.org/wiki/quantum-gis/Bugreports#Steps :

High - a bug which has a major effect on the usability of a package.
#7 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2013-06-02 03:22 PM - Aren Cambre

It's currently 8 not-so-intuitive steps using the Print Composer: http://arencambre.com/blog/2013/06/02/getting-high-quality-graphics-out-of-qgis/

#9 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#10 - 2014-07-01 07:42 PM - Antonio Locandro

I would have to agree with Aren on this, I had a client complain how the image resolution was just sub optimal. I spend some time investigating the issue

until I came to this issue which references a blog post "output size cannot be specified directly. It simply saves the currently visible map. Most of the time

this resolution will not be satisfactory."

I believe with latest improvements in Print Composer is a shame this is still an issue and that I can't set the DPI as in other COTS.

#11 - 2014-07-01 11:20 PM - Nyall Dawson

- Category deleted (Map Composer/Printing)

If you're working from a print composer you can set the DPI, and export in high resolution. This request is for a way to specify image size when exporting

the map canvas from the main window.

#12 - 2014-07-02 02:05 AM - Giovanni Manghi

- Subject changed from Easy high resolution image export to Allow set DPI in "save as image"

#13 - 2014-07-02 02:07 AM - Giovanni Manghi

Antonio Locandro wrote:

is a shame

qgis development is user driven, if someone will really need this option I guess that could be easily implemented.

#14 - 2015-12-03 05:21 AM - Médéric RIBREUX

Hello, bug triage...

still present in QGIS 2.13. Some hints:

- there is QgisApp::saveMapAsImage method which opens the QFileDialog...

- ...and then launch QgsMapCanvas::SaveAsImage

If a QPixmap is passed as an argument to QgsMapCanvas::SaveAsImage, the saved file gets the resolution of the QPixmap. So perhaps we need to

modify QGisApp::saveMapAsImage to ask for a width/height or DPI, compute a QPixmap and use it for QgsMapCanvas::SaveAsImage ? Or is there

something else that we can try ?
#15 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#16 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#17 - 2018-03-11 08:09 AM - Salvatore Larosa

- Status changed from Open to Closed

- Description updated

- Resolution set to fixed/implemented
